Package org.eclipse.emf.cdo.security

## Interface ResourceFilter

- All Superinterfaces:
    `CDOObject`, `CDOWithID`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`, `PermissionFilter`
  All Known Implementing Classes:
    `ResourceFilterImpl`

      public interface ResourceFilter
      extends PermissionFilter

  A representation of the model object 'Resource Filter'.
  Since:
    4.3

    The following features are supported:

    - `Path`
    - `Pattern Style`
    - `Folders`
    - `Text Resources`
    - `Binary Resources`
    - `Model Resources`
    - `Model Objects`
    - `Include Parents`
    - `Include Root`
  See Also:
    `SecurityPackage.getResourceFilter()`
  Generated
  Model

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getPath()` | Returns the value of the 'Path' attribute.
    `PatternStyle` | `getPatternStyle()` | Returns the value of the 'Pattern Style' attribute.
    `boolean` | `isBinaryResources()` | Returns the value of the 'Binary Resources' attribute.
    `boolean` | `isFolders()` | Returns the value of the 'Folders' attribute.
    `boolean` | `isIncludeParents()` | Returns the value of the 'Include Parents' attribute.
    `boolean` | `isIncludeRoot()` | Returns the value of the 'Include Root' attribute.
    `boolean` | `isModelObjects()` | Returns the value of the 'Model Objects' attribute.
    `boolean` | `isModelResources()` | Returns the value of the 'Model Resources' attribute.
    `boolean` | `isTextResources()` | Returns the value of the 'Text Resources' attribute.
    `ResourceFilter` | `setBinaryResources​(boolean value)` | Sets the value of the '`Binary Resources`' attribute.
    `ResourceFilter` | `setFolders​(boolean value)` | Sets the value of the '`Folders`' attribute.
    `ResourceFilter` | `setIncludeParents​(boolean value)` | Sets the value of the '`Include Parents`' attribute.
    `ResourceFilter` | `setIncludeRoot​(boolean value)` | Sets the value of the '`Include Root`' attribute.
    `ResourceFilter` | `setModelObjects​(boolean value)` | Sets the value of the '`Model Objects`' attribute.
    `ResourceFilter` | `setModelResources​(boolean value)` | Sets the value of the '`Model Resources`' attribute.
    `ResourceFilter` | `setPath​(java.lang.String value)` | Sets the value of the '`Path`' attribute.
    `ResourceFilter` | `setPatternStyle​(PatternStyle value)` | Sets the value of the '`Pattern Style`' attribute.
    `ResourceFilter` | `setTextResources​(boolean value)` | Sets the value of the '`Text Resources`' attribute.

    - ### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

      `cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.cdo.security.PermissionFilter

      `format, isApplicable, isImpacted`

- - ### Method Detail

    - #### getPath

          java.lang.String getPath()

      Returns the value of the 'Path' attribute.

      If the meaning of the 'Path' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Path' attribute.
      See Also:
        `setPath(String)`, `SecurityPackage.getResourceFilter_Path()`
      Generated
      Model

    - #### setPath

          ResourceFilter setPath​(java.lang.String value)

      Sets the value of the '`Path`' attribute.
      Parameters:
        `value` - the new value of the 'Path' attribute.
      See Also:
        `getPath()`
      Generated
        NOT

    - #### getPatternStyle

          PatternStyle getPatternStyle()

      Returns the value of the 'Pattern Style' attribute. The default value is `"TREE"`. The literals are from the enumeration `PatternStyle`.

      If the meaning of the 'Pattern Style' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Pattern Style' attribute.
      See Also:
        `PatternStyle`, `setPatternStyle(PatternStyle)`, `SecurityPackage.getResourceFilter_PatternStyle()`
      Generated
      Model
        default="TREE"

    - #### setPatternStyle

          ResourceFilter setPatternStyle​(PatternStyle value)

      Sets the value of the '`Pattern Style`' attribute.
      Parameters:
        `value` - the new value of the 'Pattern Style' attribute.
      See Also:
        `PatternStyle`, `getPatternStyle()`
      Generated
        NOT

    - #### isFolders

          boolean isFolders()

      Returns the value of the 'Folders' attribute. The default value is `"true"`.

      If the meaning of the 'Folders' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Folders' attribute.
      See Also:
        `setFolders(boolean)`, `SecurityPackage.getResourceFilter_Folders()`
      Generated
      Model
        default="true"

    - #### setFolders

          ResourceFilter setFolders​(boolean value)

      Sets the value of the '`Folders`' attribute.
      Parameters:
        `value` - the new value of the 'Folders' attribute.
      See Also:
        `isFolders()`
      Generated
        NOT

    - #### isModelResources

          boolean isModelResources()

      Returns the value of the 'Model Resources' attribute. The default value is `"true"`.

      If the meaning of the 'Model Resources' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Model Resources' attribute.
      See Also:
        `setModelResources(boolean)`, `SecurityPackage.getResourceFilter_ModelResources()`
      Generated
      Model
        default="true"

    - #### setModelResources

          ResourceFilter setModelResources​(boolean value)

      Sets the value of the '`Model Resources`' attribute.
      Parameters:
        `value` - the new value of the 'Model Resources' attribute.
      See Also:
        `isModelResources()`
      Generated
        NOT

    - #### isModelObjects

          boolean isModelObjects()

      Returns the value of the 'Model Objects' attribute. The default value is `"true"`.

      If the meaning of the 'Model Objects' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Model Objects' attribute.
      See Also:
        `setModelObjects(boolean)`, `SecurityPackage.getResourceFilter_ModelObjects()`
      Generated
      Model
        default="true"

    - #### setModelObjects

          ResourceFilter setModelObjects​(boolean value)

      Sets the value of the '`Model Objects`' attribute.
      Parameters:
        `value` - the new value of the 'Model Objects' attribute.
      See Also:
        `isModelObjects()`
      Generated
        NOT

    - #### isIncludeParents

          boolean isIncludeParents()

      Returns the value of the 'Include Parents' attribute. The default value is `"true"`.

      If the meaning of the 'Include Parents' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Include Parents' attribute.
      See Also:
        `setIncludeParents(boolean)`, `SecurityPackage.getResourceFilter_IncludeParents()`
      Generated
      Model
        default="true"

    - #### setIncludeParents

          ResourceFilter setIncludeParents​(boolean value)

      Sets the value of the '`Include Parents`' attribute.
      Parameters:
        `value` - the new value of the 'Include Parents' attribute.
      See Also:
        `isIncludeParents()`
      Generated
        NOT

    - #### isIncludeRoot

          boolean isIncludeRoot()

      Returns the value of the 'Include Root' attribute. The default value is `"true"`.

      If the meaning of the 'Include Root' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Include Root' attribute.
      See Also:
        `setIncludeRoot(boolean)`, `SecurityPackage.getResourceFilter_IncludeRoot()`
      Generated
      Model
        default="true"

    - #### setIncludeRoot

          ResourceFilter setIncludeRoot​(boolean value)

      Sets the value of the '`Include Root`' attribute.
      Parameters:
        `value` - the new value of the 'Include Root' attribute.
      See Also:
        `isIncludeRoot()`
      Generated
        NOT

    - #### isTextResources

          boolean isTextResources()

      Returns the value of the 'Text Resources' attribute. The default value is `"true"`.

      If the meaning of the 'Text Resources' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Text Resources' attribute.
      See Also:
        `setTextResources(boolean)`, `SecurityPackage.getResourceFilter_TextResources()`
      Generated
      Model
        default="true"

    - #### setTextResources

          ResourceFilter setTextResources​(boolean value)

      Sets the value of the '`Text Resources`' attribute.
      Parameters:
        `value` - the new value of the 'Text Resources' attribute.
      See Also:
        `isTextResources()`
      Generated
        NOT

    - #### isBinaryResources

          boolean isBinaryResources()

      Returns the value of the 'Binary Resources' attribute. The default value is `"true"`.

      If the meaning of the 'Binary Resources' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Binary Resources' attribute.
      See Also:
        `setBinaryResources(boolean)`, `SecurityPackage.getResourceFilter_BinaryResources()`
      Generated
      Model
        default="true"

    - #### setBinaryResources

          ResourceFilter setBinaryResources​(boolean value)

      Sets the value of the '`Binary Resources`' attribute.
      Parameters:
        `value` - the new value of the 'Binary Resources' attribute.
      See Also:
        `isBinaryResources()`
      Generated
        NOT